Redmine - Defect #6305

I have been getting an error 500 instead of context menu on 1.0.1
2010-09-06 04:41 - Fabio Leitao

Status: Closed Start date: 2010-09-06
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

It used to work since recently... | have my redmine up-to-date as r4066 (today) and for a few days | have realized it was no longer
working.

Here is a portion of my production.log in debug level:

Processing IssuesController#context_menu (for 1##.6#.2##.6# at 2010-09-05 23:28:39) [POST]

Parameters: {"back_url"=>"/projects/ads/issues", "ids"=>["54"], "project_id"=>"ads", "action"=>"
context_menu", "authenticity_token"=>"4LkGJEg8x8to/rL5b9U/VppzMcwi3xAcTF7bY5YPk0Oo=", "controller"=
>"issues", "_"=>""}

SQL (0.2ms) SELECT max (' settings’ .updated_on) AS max_updated_on FROM "settings’

User Load (0.2ms) SELECT * FROM “users’ WHERE (‘users’ . id' = 3) AND (users.status = 1) AND (
(‘users’ . type’ = 'User' OR ‘users . type = 'AnonymousUser' ) )

ArgumentError (wrong number of arguments (0 for 1)):
/usr/lib/ruby/1.8/mongrel.rb:159:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:158:in “each'
/usr/lib/ruby/1.8/mongrel.rb:158:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:285:in "run'
/usr/lib/ruby/1.8/mongrel.rb:285:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:285:in “new'
/usr/lib/ruby/1.8/mongrel.rb:285:in "run'
/usr/lib/ruby/1.8/mongrel.rb:268:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:268:in "new'
/usr/lib/ruby/1.8/mongrel.rb:268:in "“run’

Rendering /home/corp/www/rails/redmine/public/500.html (500 Internal Server Error)

I am not sure where to look for a solution, or even if a plugin might disrupt the funcion,but | can help try to locate the root cause, test,
try out patches and past log files along

History

#1 - 2010-09-13 01:16 - Fabio Leitao

- Assignee set to Jean-Baptiste Barth

Well, Since r4082 it started working for the roadmap again (#6351), but still not working in the issues list.

#2 - 2010-09-13 06:46 - Jean-Baptiste Barth
- Assignee deleted (Jean-Baptiste Barth)

It works for me on a fresh installation (on trunk). Can you read SubmittingBugs and provide requested informations ? There must be something
different in your installation..

#3 - 2010-09-13 21:01 - Fabio Leitao
So, collecting a few information from my system:
mysql 5.1.41-3ubuntu12.6

ruby 1.8.7 (2010-01-10 patchlevel 249)
rails 1.8

2025-07-12 1/3



https://www.redmine.org/projects/redmine/repository/svn/revisions/4066
https://www.redmine.org/projects/redmine/repository/svn/revisions/4082
https://www.redmine.org/issues/6351
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs

Redmine 1.0.1.devel.4083
svn 1.6.6 (r40053)
Bazaar (bzr) 2.2.0

My installed plugins:

Bulk Time Entry - Eric Davis - 0.5.0

Customer plugin - Eric Davis - 0.2.0

Redmine Question plugin - Eric Davis - 0.3.0

Bots filter - Jean-Philippe Lang - 1.02c

Charts Plugin - Maciej Szczytowski - 0.0.14

Redmine ezLibrarian plugin - Zou Chaoqun - 0.1.5
Redmine Graphs plugin - Brad Beattie - 0.1.0

Basic Project XML File Loader - Simon Stearn- 0.0.11b
Redmine Logs plugin - Haruyuki lida - 0.0.1

Redmine Schedules plugin - Brad Beattie - 0.4.2
Redmine Time Display plugin - Jacky Leung - 0.1.1
Redmine Wiki Extensions plugin - Haruyuki lida - 0.2.2
Issues XLS export - Vitaly Klimov - 0.0.5

Stuff To Do Plugin - Eric Davis - 0.4.0

Timesheet Plugin - Eric Davis of Little Stream Software - 0.6.0

My gems list:
e LOCAL GEMS ***

abstract (1.0.0)
actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
arel (1.0.1)

builder (2.1.2)
bundler (1.0.0)
cucumber (0.8.5)
diff-lcs (1.1.2)

erubis (2.6.6)

gherkin (2.2.1, 2.2.0, 2.1.5)
holidays (0.9.3)
icalendar (1.1.5)
json_pure (1.4.6)

mail (2.2.6.1, 2.2.5)
mime-types (1.16)
mysql (2.8.1)

polyglot (0.3.1)

prawn (0.8.4)
prawn-core (0.8.4)
prawn-layout (0.8.4)
prawn-security (0.8.4)
rack (1.2.1,1.0.1)
rack-mount (0.6.13, 0.6.12)
rack-test (0.5.4)

rails (2.3.5)

rake (0.8.7)

rmagick (2.13.1)
ruby-ole (1.2.10.1)
rubyist-aasm (2.1.1)
spreadsheet (0.6.4.1)
term-ansicolor (1.0.5)
thor (0.14.0)

treetop (1.4.8)

trollop (1.16.2)

tzinfo (0.3.23)

| have also realized | have been getting a i18n related error, since my last sudo gem update (which intalled rails 3.0.0 with many active stuff version
3.0.0 and i18n with them)...

| am pretty sure this got to be the root cause, so | have removed them. Any advises?
#4 - 2010-09-13 21:05 - Fabio Leitao

Well, by the way, uninstalling those newer versions also did not solve my issues...still getting error 500 on context_menu in the issues page, and still
working on the roadmap page.

2025-07-12 2/3



#5 - 2010-09-19 18:19 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Invalid

Your error is caused by the XLS export plugin (aka Issues XLS export plugin) which overrides Redmines issues-index core view (which itself changed
due to recent refactorings on the context_menu by Eric Davis). I'd advise to remove the plugin to see if it actually solves your issue...

If so: please report the issue to the plugin author and ask him to update the overridden Redmine core view(s).

Note: a similar issue was hunting the Show Issue Descriptions plugin which I've fixed myself. See RE: Show Issue Descriptions plugin.

#6 - 2010-09-20 08:30 - Fabio Leitao

Mischa The Evil wrote:

Your error is caused by the XLS export plugin (aka Issues XLS export plugin) which overrides Redmines issues-index core view ...
Indeed, removing the XLS Export Plugin solved my problem... | remember they had worked together in the past, but then this recent change in the
core cripled the plugin, right?

I'll try to contact the author and issue a ticket for the plugin repair as well.
Thanx

#7 - 2010-09-20 20:56 - Fabio Leitao

Fabio Leitao wrote:

I'll try to contact the author and issue a ticket for the plugin repair as well.

Well, | have contacted the plugin author and a fix was just released in the newer version 007... Now it wont cause the error 500 in the Issues
Context_menu. | believe it solved the problem for now.

Thanx for all the help.
https://www.redmine.org/boards/3/topics/11986
https://www.redmine.org/boards/3/topics/13820?r=17373#message-17373
https://www.redmine.org/boards/3/topics/11986
http://www.tcpdf.org

